<?php
/**
 * class Testimonial Settings
 * @author FuduGo
 */
class fgtsTestimonialsSettings{

	function __construct(){	

		//setup a setting menu
		add_action('admin_menu', array($this, 'fgts_testimonial_setting_page' ) );
		
		//add meta box to custom post type
		add_action('admin_init', array($this, 'fgts_testimonial_settings' ) );

		add_filter( 'plugin_action_links_'.FGTS_BASENAME, array($this, 'fgts_add_action_links') );
	}

	function fgts_add_action_links( $links ) {
        $mylinks = array(
            '<a href="'.admin_url( 'edit.php?post_type=fgts_post_type&page=fgts_testimonial_setting_page' ).'">'.__( 'Settings', 'rus-activecampaign' ).'</a>',
        );
        return array_merge( $mylinks, $links );
    }

	function fgts_testimonial_setting_page() {
	  add_submenu_page( 'edit.php?post_type=fgts_post_type', 'Settings', 'Settings', 'manage_options', 'fgts_testimonial_setting_page', array($this, 'fgts_testimonial_setting_callback' ) ); 
	}

	function fgts_testimonial_setting_callback() { ?>
		<?php settings_errors(); ?>
			<form method="post" action="options.php">
			<?php
			// display all sections for fgts-theme-options page
			settings_fields("section");
			do_settings_sections("fgts-theme-options");
			submit_button();
			?>
			</form>
	<?php }

	function fgts_display_shortcode(){ ?>

	<input type="text" name="fgts_shortcode_field" id="fgts_shortcode_field" value="<?php echo esc_html('[fgts_testimonials]' ); ?>" readonly="readonly" />
	<?php
	}

	function fgts_display_numofposts(){
	$numposts = get_option('fgts_numofposts');
	if(empty($numposts)){
        add_option( 'fgts_numofposts', 10 );
    }
	?>

	<input type="number" name="fgts_numofposts" id="fgts_numofposts" value="<?php echo esc_html(get_option('fgts_numofposts') ); ?>"/>
	<p><?php _e( 'Default number of posts is set to all, can limit the number of posts from here.', 'fg-testimonials' ); ?></p>
	<?php
	}

	function fgts_display_image_chkbx(){
		add_option( 'fgts_img_chkbx', 'true' );
		$img_checkbox = get_option('fgts_img_chkbx');
	?>	
	<input type="checkbox" name="fgts_img_chkbx" value="<?php echo esc_html('true'); ?>" <?php if( !empty( $img_checkbox ) ){echo "checked";}else{echo '';}?> >
	<?php
	}

	function fgts_display_designation(){
		add_option( 'fgts_designation_chkbx', 'true' );
		$designation = get_option('fgts_designation_chkbx');
	?>	
	<input type="checkbox" name="fgts_designation_chkbx" value="<?php echo esc_html('true'); ?>" <?php if( !empty($designation ) ){echo "checked";}else{echo '';}?> >
	<?php
	}

	function fgts_display_numofslide_desktop(){	
		$fgts_numofslide_desktop = get_option('fgts_numofslide_desktop');
	if(empty($fgts_numofslide_desktop)){
        add_option( 'fgts_numofslide_desktop', 1 );
    }
	?>
	<input type="number" name="fgts_numofslide_desktop" id="fgts_numofslide_desktop" min="1" max="4" value="<?php echo esc_html(get_option('fgts_numofslide_desktop') ); ?>"/>
	<?php
	}

	function fgts_display_numofslides_tablet(){	
		$fgts_numofslide_tablet = get_option('fgts_numofslide_tablet');
	if(empty($fgts_numofslide_tablet)){
        add_option( 'fgts_numofslide_tablet', 1 );
    }
	?>
	<input type="number" name="fgts_numofslide_tablet" id="fgts_numofslide_tablet" min="1" max="4" value="<?php echo esc_html(get_option('fgts_numofslide_tablet') ); ?>"/>
	<?php
	}

	function fgts_display_numofslides_mobile(){	
		$fgts_numofslide_mobile = get_option('fgts_numofslide_mobile');
	if(empty($fgts_numofslide_mobile)){
        add_option( 'fgts_numofslide_mobile', 1 );
    }
	?>
	<input type="number" name="fgts_numofslide_mobile" id="fgts_numofslide_mobile" min="1" max="4" value="<?php echo esc_html(get_option('fgts_numofslide_mobile') ); ?>"/>
	<?php
	}

	function fgts_display_control_nav(){
		$fgts_controls_nav = get_option('fgts_controls_nav');
	if(empty($fgts_controls_nav)){
        add_option( 'fgts_controls_nav', true );
    }
	$fgts_controls_nav = get_option('fgts_controls_nav');		
	?>	
	<input type="checkbox" name="fgts_controls_nav" value="<?php echo esc_html('true'); ?>" <?php if( !empty( $fgts_controls_nav ) ){echo "checked";}else{echo '';}?> > <?php _e( 'On/Off', 'fg-testimonials' ); 
	}

	function fgts_display_control_dots(){
		$fgts_control_dots = get_option('fgts_control_dots');
	if(empty($fgts_control_dots)){
		add_option( 'fgts_control_dots', true );
		$fgts_control_dots = get_option('fgts_control_dots');
    }
		
	?>	
	<input type="checkbox" name="fgts_control_dots" value="<?php echo esc_html('true'); ?>" <?php if( !empty( $fgts_control_dots ) ){echo "checked";}else{echo '';}?> > <?php _e( 'On/Off', 'fg-testimonials' ); 

	}

	function fgts_display_autoplay(){
		$fgts_autoplay = get_option('fgts_autoplay');
	if(empty($fgts_autoplay)){
		add_option( 'fgts_autoplay', true );
		$fgts_autoplay = get_option('fgts_autoplay');
    }		
	?>	
	<input type="checkbox" name="fgts_autoplay" value="<?php echo esc_html('true'); ?>" <?php if( !empty( $fgts_autoplay ) ){echo "checked";}else{echo '';}?> > <?php _e( 'On/Off', 'fg-testimonials' ); 

	}

	function fgts_display_autoplayhover(){
		$fgts_autoplayhover = get_option('fgts_autoplayhover');
	if(empty($fgts_autoplayhover)){
		add_option( 'fgts_autoplayhover', true );
		$fgts_autoplayhover = get_option('fgts_autoplayhover');
    }		
	?>	
	<input type="checkbox" name="fgts_autoplayhover" value="<?php echo esc_html('true'); ?>" <?php if( !empty( $fgts_autoplayhover ) ){echo "checked";}else{echo '';}?> > <?php _e( 'On/Off', 'fg-testimonials' ); 

	}

	function fgts_display_loop(){
		$fgts_loop_set = get_option('fgts_loop_set');
	if(empty($fgts_loop_set)){
        add_option( 'fgts_loop_set', true );
		$fgts_loop_set = get_option('fgts_loop_set');
    }		
	?>	
	<input type="checkbox" name="fgts_loop_set" value="<?php echo esc_html('true'); ?>" <?php if( !empty( $fgts_loop_set ) ){echo "checked";}else{echo '';}?> > <?php _e( 'On/Off', 'fg-testimonials' ); 

	}

	function fgts_display_smartspeed(){	
		$fgts_numof_smartspeed = get_option('fgts_numof_smartspeed');

	if(empty($fgts_numof_smartspeed)){
        add_option( 'fgts_numof_smartspeed', 250 );
		$fgts_numof_smartspeed = get_option('fgts_numof_smartspeed');
    }
	?>
	<input type="number" name="fgts_numof_smartspeed" id="fgts_numof_smartspeed" min="250" value="<?php echo esc_html(get_option('fgts_numof_smartspeed') ); ?>"/>
	<?php
	}

	function fgts_display_viewbtn(){ ?>

	<input type="text" name="fgts_viewbtn" id="fgts_viewbtn" value="<?php echo esc_html(get_option('fgts_viewbtn')); ?>" />
	<p><?php _e( 'Display button at bottom of testimonial', 'fg-testimonials' ); ?></p>	
	<?php
	}

	function fgts_display_viewbtn_link(){ ?>

	<input type="text" name="fgts_viewbtn_link" id="fgts_viewbtn_link" value="<?php echo esc_html(get_option('fgts_viewbtn_link')); ?>" />
	<p><?php _e( 'You can set link of any page or post here.', 'fg-testimonials' ); ?></p>

	<?php
	}


	//admin-init hook to create settings section with title “New Theme Options Section”.
	function fgts_testimonial_settings(){  

		add_settings_section("section", "All Settings", null, "fgts-theme-options");

		add_settings_field("fgts_shortcode_field", "Use Shortcode", array($this, 'fgts_display_shortcode' ), "fgts-theme-options", "section");

		add_settings_field("fgts_numofposts", "Display Number of Testimonials", array($this, 'fgts_display_numofposts' ), "fgts-theme-options", "section");
		
		add_settings_field("fgts_autoplay", "Autoplay", array($this, 'fgts_display_autoplay' ), "fgts-theme-options", "section");

		add_settings_field("fgts_autoplayhover", "Autoplay Hover Pause", array($this, 'fgts_display_autoplayhover' ), "fgts-theme-options", "section");

		add_settings_field("fgts_loop_set", "Loop", array($this, 'fgts_display_loop' ), "fgts-theme-options", "section");

		add_settings_field("fgts_numofslide_desktop", "Display number of testimonial columns in desktop", array($this, 'fgts_display_numofslide_desktop' ), "fgts-theme-options", "section");

		add_settings_field("fgts_numofslide_tablet", "Display number of testimonial columns in tablet", array($this, 'fgts_display_numofslides_tablet' ), "fgts-theme-options", "section");

		add_settings_field("fgts_numofslide_mobile", "Display number of testimonial columns in mobile", array($this, 'fgts_display_numofslides_mobile' ), "fgts-theme-options", "section");

		add_settings_field("fgts_controls_nav", "Display arrow navigation", array($this, 'fgts_display_control_nav' ), "fgts-theme-options", "section");

		add_settings_field("fgts_control_dots", "Display dots navigation", array($this, 'fgts_display_control_dots' ), "fgts-theme-options", "section");

		add_settings_field("fgts_numof_smartspeed", "Slider speed", array($this, 'fgts_display_smartspeed' ), "fgts-theme-options", "section");
		
		add_settings_field("fgts_img_chkbx", "Display Image", array($this, 'fgts_display_image_chkbx' ), "fgts-theme-options", "section");

		add_settings_field("fgts_designation_chkbx", "Display Designation", array($this, 'fgts_display_designation' ), "fgts-theme-options", "section");

		add_settings_field("fgts_viewbtn", "Custom single button", array($this, 'fgts_display_viewbtn' ), "fgts-theme-options", "section");

		add_settings_field("fgts_viewbtn_link", "Custom button link", array($this, 'fgts_display_viewbtn_link' ), "fgts-theme-options", "section");		

		register_setting("section", "fgts_shortcode_field");
		register_setting("section", "fgts_numofposts");
		register_setting("section", "fgts_numofslide_desktop");
		register_setting("section", "fgts_numofslide_tablet");
		register_setting("section", "fgts_numofslide_mobile");
		register_setting("section", "fgts_controls_nav");
		register_setting("section", "fgts_control_dots");
		register_setting("section", "fgts_numof_smartspeed");
		register_setting("section", "fgts_autoplay");
		register_setting("section", "fgts_autoplayhover");
		register_setting("section", "fgts_loop_set");
		register_setting("section", "fgts_img_chkbx");
		register_setting("section", "fgts_designation_chkbx");	
		register_setting("section", "fgts_viewbtn");	
		register_setting("section", "fgts_viewbtn_link");	
	}
}

new fgtsTestimonialsSettings();
