<?php

class fgtsTestimonialsMetaBox{

	function __construct(){			
		
		//add meta box to custom post type
		add_action( 'add_meta_boxes', array($this, 'fgts_add_testimonial_meta_box' ) );

		//save meta box to custom post type
		add_action( 'save_post', array($this, 'fgts_save_testimonial_meta' ) ); 
	}

	/*Start Custom Meta box*/

	function fgts_add_testimonial_meta_box() {
		add_meta_box(
			'testimonial_meta_box', // $id
			'Details', // $title
			array($this, 'fgts_show_testimonial_meta_box'),// $callback
			'fgts_post_type', // $screen
			'normal', // $context
			'high' // $priority
		);
	}


	function fgts_show_testimonial_meta_box() {
		global $post;  
		$fgts_meta = get_post_meta( $post->ID, 'fgts_testimonial_fields', true ); 

		?>

		<input type="hidden" name="fgts_meta_box_nonce" value="<?php echo wp_create_nonce( basename(__FILE__) );?>">

	    <!-- All fields will go here -->
	    
	    <p>
			<label for="fgts_testimonial_fields[designation]"><?php _e( 'Designation', 'fg-testimonials' ); ?></label>
			<br>			
			<input type="text" name="fgts_testimonial_fields[designation]" id="fgts_testimonial_fields[designation]" class="regular-text" value="<?php if (is_array($fgts_meta) && isset($fgts_meta['designation'])) { echo esc_html( $fgts_meta['designation'] ); } ?>">
		</p>
		
	<?php }


	function fgts_save_testimonial_meta( $post_id ) { 

		// verify nonce
		if ( isset($_POST['fgts_meta_box_nonce']) 
				&& !wp_verify_nonce( $_POST['fgts_meta_box_nonce'], basename(__FILE__) ) ) {
				return $post_id; 
			}
		// check autosave
		if ( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ) {
			return $post_id;
		}
		// check permissions		
		if (isset($_POST['post_type'])) { //Fix 2
	        if ( 'page' === $_POST['post_type'] ) {
	            if ( !current_user_can( 'edit_page', $post_id ) ) {
	                return $post_id;
	            } elseif ( !current_user_can( 'edit_post', $post_id ) ) {
	                return $post_id;
	            }  
	        }
	    }
		
		$fgts_old = get_post_meta( $post_id, 'fgts_testimonial_fields', true );
		
		$fgts_arr = isset( $_POST['fgts_testimonial_fields'] ) ? (array) $_POST['fgts_testimonial_fields'] : array(); //Fix 3		
	    if(!empty($fgts_arr)){
		    $fgts_new = array_map( 'sanitize_text_field', $fgts_arr ); 

			//$fgts_new =  $_POST['fgts_testimonial_fields'] ;
			if ( $fgts_new && $fgts_new !== $fgts_old ) {
				update_post_meta( $post_id, 'fgts_testimonial_fields', $fgts_new );
			} elseif ( '' === $fgts_new && $fgts_old ) {
				delete_post_meta( $post_id, 'fgts_testimonial_fields', $fgts_old );
			}
		}
	}

/*Ends Custom Meta box*/
} //ends class

if ( !isset($fgts_metabox) ) {
	$fgts_metabox = new fgtsTestimonialsMetaBox();
}